Page MenuHomePhabricator

path: keep the path instance in the `pulloperation`
ClosedPublic

Authored by marmoute on Oct 15 2021, 4:18 AM.

Details

Summary

This will allow more pull code to use the path options. Ideally we would modify
the peer API to keep the path instance. However that is much more churn that I
can deal with for my current goal: adjusting a user facing API for a new
feature before we release it in the 6.0 changesets. So I am taking a shortcut
that seems reasonable.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Oct 15 2021, 4:18 AM
pulkit accepted this revision.Oct 15 2021, 8:53 AM
This revision is now accepted and ready to land.Oct 15 2021, 8:53 AM
marmoute updated this revision to Diff 30844.Oct 17 2021, 6:41 PM
Alphare accepted this revision.Oct 18 2021, 5:59 AM
This revision was automatically updated to reflect the committed changes.
danchr added a subscriber: danchr.EditedOct 25 2021, 5:58 AM

In hg-git, we currently intercept mercurial.exchange.pull() and need to keep compatibility with both the upcoming release and earlier releases. The API change here — inserting a named argument _before_ a positional used by earlier releases — is rather obnoxious to work around. Sure, it's possible, but it won't be pretty…

Please consider moving the new argument to the end.

In hg-git, we currently intercept mercurial.exchange.pull() and need to keep compatibility with both the upcoming release and earlier releases. The API change here — inserting a named argument _before_ a positional used by earlier releases — is rather obnoxious to work around. Sure, it's possible, but it won't be pretty…
Please consider moving the new argument to the end.

That seems reasonable, especially since we would hopefully merge it into the peer later.
Let me try to get a patch ready.